Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname safe-buffer

Name:               nodejs-%{srcname}
Version:            5.1.1
Release:            alt1_4
Summary:            Node.js module for a safer buffer API
License:            MIT
URL:                https://github.com/feross/safe-buffer
Source0:            https://github.com/feross/safe-buffer/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:          noarch

BuildRequires:      rpm-build-nodejs node-devel
BuildRequires:      npm(tape)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n %{srcname}-%{version}


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
tape test.js

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 5.1.1-alt1_4
- new version

* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 5.1.1-alt0.1.njs.bootstrap
- bootstrap

